%define qt_i18n_version 20000128
%define qt_version 1.45
%define qtdir qt

Name: qt
Summary: Compatibility shared library for the Qt GUI toolkit
Summary(ja): Qt - ޥץåȥեC++ GUIġ륭å
Version: %{qt_version}_i18n_%{qt_i18n_version}
Release: 2
Serial: 200002081
Source: ftp://ftp.troll.no/qt/source/qt-%{qt_version}.tar.gz
Source1: make-qti18nrc
Source3: readme.qt-i18n.tlj
Patch0: qt-1.44-enablegif.patch
Patch1: qt-1.45-sharedgl.patch
Patch2: ftp://ftp.kde.gr.jp/pub/qt/patch/qt-1.45-i18n-%{qt_i18n_version}.diff.gz
URL: http://www.troll.no/qt
Copyright: distributable
Group: X11/Libraries
Buildroot: /var/tmp/%{name}-buildroot
Prereq: /sbin/ldconfig
Requires: alias-japanese-fonts

%description
Qt is a complete and well-designed multi-platform object-oriented
framework for developing graphical user interface (GUI) applications using
C++.  Qt has seamless integration with OpenGL/Mesa 3D libraries.

%description -l ja
QtC++Ǥ줿֥ȻظGUIġ륭åȤǤ
Win32Unix/X11ǴƱΥɤư
ץꥱǤޤ
QtOpenGL⤷Mesa 3D饤֥꡼ⰷȤǤޤ

%{prefix}/bin/make-qti18nrc  ${HOME}/.qti18nrc Ƥ
KDE ʤɤQtѤץꥱư®٤夷ޤ
ܤ http://www.kde.gr.jp/~tino/font.html 򻲾ȤƤ

%package devel
Summary: Qt app development binaries and libraries
Summary(ja): QtץꥱȯѤΥХʥ꡼饤֥꡼ʤɡ
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
libraries and include files for writing Qt applications
include QT static lib

%description -l ja devel
QtץꥱѤΥ饤֥䥤󥯥롼ɥեʤɡ

#%package GL
#Summary: OpenGL (3D-graphics) add-on for the Qt GUI toolkit
#Group: X11/Libraries
#Requires: Mesa, %{name} = %{version}
#BuildPrereq: Mesa-devel

#%description GL
#Qt-GL is an add-on for the Qt GUI toolkit, supporting 3D graphics using the
#Mesa (OpenGL compatible) library.

%prep
%setup -q -n qt-%{qt_version}
%patch -p1 -b .enablegif
%patch1 -p1 -b .sharedgl
%patch2 -p1 -b .i18n
cp -af `find -name "*.h.i18n" | sed -e "s|.i18n||"` include
install -m644 %{SOURCE3} .
rm src/kernel/qt_gif.h.enablegif
# handle RPM_OPT_FLAGS:
perl -pi -e "s/^SYSCONF_CXXFLAGS	.*/SYSCONF_CXXFLAGS = $RPM_OPT_FLAGS/g" configs/linux-g++-shared
perl -pi -e "s/^SYSCONF_CXXFLAGS_LIB	.*/SYSCONF_CXXFLAGS_LIB = $RPM_OPT_FLAGS -fPIC/g" configs/linux-g++-shared
perl -pi -e "s/^SYSCONF_CXXFLAGS_SHOBJ	.*/SYSCONF_CXXFLAGS_SHOBJ = $RPM_OPT_FLAGS -fPIC/g" configs/linux-g++-shared

#cd extensions/opengl/src
#perl -pi -e "s/-lGL/-lMesaGL/g" Makefile
#cd ../../..

%build
QTDIR=`/bin/pwd` export QTDIR
make linux-g++-shared
make -C src/moc
cp src/moc/moc bin/moc
make -C src
cd extensions/imageio/src
make

#cd ../../opengl/src
#make

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/%{qtdir}/{bin,include,lib}

cp lib/libqt.so.1.44 $RPM_BUILD_ROOT/usr/lib/%{qtdir}/lib
ln -sf libqt.so.1.44 $RPM_BUILD_ROOT/usr/lib/%{qtdir}/lib/libqt.so.1
ln -sf libqt.so.1 $RPM_BUILD_ROOT/usr/lib/%{qtdir}/lib/libqt.so
chmod -R a+r $RPM_BUILD_ROOT/usr/lib/%{qtdir}/lib/libqt.so*

cp lib/libqimgio.so.0.1 $RPM_BUILD_ROOT/usr/lib/%{qtdir}/lib
ln -sf libqimgio.so.0.1 $RPM_BUILD_ROOT/usr/lib/%{qtdir}/lib/libqimgio.so.0
ln -sf libqimgio.so.0 $RPM_BUILD_ROOT/usr/lib/%{qtdir}/lib/libqimgio.so
chmod -R a+r $RPM_BUILD_ROOT/usr/lib/%{qtdir}/lib/libqimgio.so*

#cp lib/libqgl.so.1.0 $RPM_BUILD_ROOT/usr/lib/%{qtdir}/lib
#ln -sf libqgl.so.1.0 $RPM_BUILD_ROOT/usr/lib/%{qtdir}/lib/libqgl.so.1
#ln -sf libqgl.so.1 $RPM_BUILD_ROOT/usr/lib/%{qtdir}/lib/libqgl.so
#chmod -R a+r $RPM_BUILD_ROOT/usr/lib/%{qtdir}/lib/libqgl.so*

cp include/* $RPM_BUILD_ROOT/usr/lib/%{qtdir}/include
cp bin/* $RPM_BUILD_ROOT/usr/lib/%{qtdir}/bin
cp -a html $RPM_BUILD_ROOT/usr/lib/%{qtdir}/

make -C tutorial clean
make -C examples clean
find examples -name Makefile | xargs perl -pi -e 's|\.\./\.\.|\$\(QTDIR\)|'
find tutorial -name Makefile | xargs perl -pi -e 's|\.\./\.\.|\$\(QTDIR\)|'
cp -a examples tutorial $RPM_BUILD_ROOT/usr/lib/%{qtdir}/

mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m755 %{SOURCE1} $RPM_BUILD_ROOT/usr/bin

mkdir -p $RPM_BUILD_ROOT/etc/profile.d
echo "export QTDIR=/usr/lib/%{qtdir}" \
	>> $RPM_BUILD_ROOT/etc/profile.d/qt.sh
echo "setenv QTDIR /usr/lib/%{qtdir}" \
	>> $RPM_BUILD_ROOT/etc/profile.d/qt.csh
chmod +x $RPM_BUILD_ROOT/etc/profile.d/qt.*sh

%clean
rm -rf $RPM_BUILD_ROOT

%post
if ! grep '^/usr/lib/%{qtdir}/lib$' /etc/ld.so.conf > /dev/null 2>&1; then
  echo "/usr/lib/%{qtdir}/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun
if [ "$1" = "0" ]; then
  grep -v '^/usr/lib/%{qtdir}/lib$' /etc/ld.so.conf > /etc/ld.so.conf.new 2>/dev/null
  mv /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig

%files
%defattr(-,root,root,-)
/usr/lib/%{qtdir}/lib/libqt.so.1.44
/usr/lib/%{qtdir}/lib/libqt.so.1
/usr/lib/%{qtdir}/lib/libqimgio.so.0
/usr/lib/%{qtdir}/lib/libqimgio.so.0.1
/usr/bin/make-qti18nrc
%doc ANNOUNCE FAQ LICENSE PORTING README README.QT readme.qt-i18n.tlj changes*

%files devel
%defattr(-,root,root,-)
/usr/lib/%{qtdir}/bin
/usr/lib/%{qtdir}/include
/usr/lib/%{qtdir}/lib/libqt.so
/usr/lib/%{qtdir}/lib/libqimgio.so
/usr/lib/%{qtdir}/html
/usr/lib/%{qtdir}/examples
/usr/lib/%{qtdir}/tutorial
/etc/profile.d/qt.sh
/etc/profile.d/qt.csh

#%files GL
#%defattr(-,root,root,-)
#/usr/lib/%{qtdir}/lib/libqgl.*

%changelog
* Tue Feb 29 2000 Go Taniguchi <go@turbolinux.co.jp>
- separate .qti18nrc to qt-support

* Wed Feb  7 2000 Go Taniguchi <go@turbolinux.co.jp>
- update qt-1.45
- apply new patch (1.45-i18n-20000128)
- include GL package, but disebled

* Wed Feb  6 2000 Go Taniguchi <go@turbolinux.co.jp>
- apply new patch (1.44-i18n-20000128)
- include patch qt-1.44-i18n-brokenglibc.diff.gz

* Wed Jan 19 2000 Go Taniguchi <go@turbolinux.co.jp>
- apply new patch (1.44-linux-i18n-19991117)
- add xim patch for i18n patch from Japan KDE Users' Group

* Mon Nov  1 1999 Go Taniguchi <taniguchi@arcbrain.cp.jp>
- apply new patch (1.44-linux-i18n-1991012)

* Sun Oct 31 1999 Go Taniguchi <taniguchi@arcbrain.cp.jp>
- add imageio Liblary for GNOEM Menu in KDE-BSEE

* Wed Oct 27 1999 Go Taniguchi <taniguchi@arcbrain.cp.jp>
- -alias-fixed set move to alias-japanese-fonts rpm, delete it.

* Fri Oct 10 1999 Go Taniguchi <taniguchi@arcbrain.cp.jp>
- update qt_i18n_version 19990930
- use -alias-fixed in qti18nrc for FTP user
- add script -alias-fixed in fonts.alias
- change symbolic link /usr/lib/qt/lib,bin

* Fri Oct  1 1999 Go Taniguchi <taniguchi@arcbrain.cp.jp>
- add symbolic link /usr/lib/qt/include and /usr/lib/qt/lib
- renew setenv QTDIR in /etc/profile.d/qt.*sh for sample progurams

* Tue Sep 30 1999 Go Taniguchi <taniguchi@arcbrain.cp.jp>
- add static lib in devel packages
- delete /etc/profile.d/qt.sh /etc/profile.d/qt.csh, dosn't work, no need

* Tue Sep 29 1999 Go Taniguchi <taniguchi@arcbrain.cp.jp>
- rebuild for TL4

* Thu Sep 16 1999 Takumi ASAKI <asaki@kde.gr.jp>
- mv html to $QTDIR from /usr/doc/qt-devel

* Tue Aug 17 1999 Takumi ASAKI <asaki@kde.gr.jp>
- new i18n patch
- include make-qti18nrc
